=== debian/changelog ===
gst-plugins-base1.0 (1.26.0-1ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: DoS via stack overflow in subparse plugin
    - debian/patches/CVE-2025-47806.patch: make sure that subrip time
      string is not too long before zero-padding in
      gst/subparse/gstsubparse.c.
    - CVE-2025-47806
  * SECURITY UPDATE: DoS via null-deref in subparse plugin
    - debian/patches/CVE-2025-47807.patch: check for valid UTF-8 before
      cleaning up lines and check for regex replace errors in
      gst/subparse/gstsubparse.c.
    - CVE-2025-47807
  * SECURITY UPDATE: DoS via null-deref in subparse plugin
    - debian/patches/CVE-2025-47808.patch: don't append NULL + 1 to the
      string buffer when parsing lines without text in
      gst/subparse/tmplayerparse.c.
    - CVE-2025-47808

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Aug 2025 08:59:51 -0400

gst-plugins-base1.0 (1.26.0-1) unstable; urgency=medium

  * Revert "d/watch: pin on 1.24.x"
  * New upstream version 1.26.0
  * d/patches: remove video-Move-Y410-into-the-correct-place-for-big-endian-pla.patch
  * d/symbols: add 1.25.1 new symbols
  * d/control: bump GStreamer version dependency
  * d/patches: test for latomic
  * d/symbols: remove gst_egl_image_can_emulate for hurd
  * d/patches: add 0003-urisourcebin-Make-parsebin-activation-more-reliable
  * d/control: update dependency version to 1.25.90
  * d/symbols: update with new h265 codec utils
  * d/control: update with EGL symbol
  * d/control: update GStreamer dependencies to >= 1.26.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Mar 2025 09:42:36 +0100

gst-plugins-base1.0 (1.24.12-1) unstable; urgency=medium

  * New upstream version 1.24.12

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 30 Jan 2025 08:45:37 +0100

gst-plugins-base1.0 (1.24.11-3) unstable; urgency=medium

  * d/patches: disable some GL/Mesa tests for ppc64el failures

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 29 Jan 2025 16:44:55 +0100

gst-plugins-base1.0 (1.24.11-2) unstable; urgency=medium

  * d/watch: pin on 1.24.x
  * d/control: hurd-any dependency fixes (Closes: #1093411)

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 20 Jan 2025 10:19:26 +0100
