## gst-plugins-base1.0 1.26.2

=== debian/changelog ===
gst-plugins-base1.0 (1.26.2-1) unstable; urgency=medium

  * d/copyright: review with licenserecon
  * New upstream version 1.26.2

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 30 May 2025 09:27:24 +0200

gst-plugins-base1.0 (1.26.1-1) unstable; urgency=medium

  * d/copyright: add default
  * New upstream version 1.26.1
  * d/patches: remove 0002-test-latomic.patch
  * d/patches: remove 0003-urisourcebin-Make-parsebin-activation-more-reliable.patch

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 25 Apr 2025 08:53:31 +0200
