## gst-plugins-base1.0 1.26.4

=== debian/changelog ===
gst-plugins-base1.0 (1.26.4-1) experimental; urgency=medium

  * d/copyright: add reference to /usr/share/common-licenses/LGPL
  * d/watch: pin to 1.26.x
  * New upstream version 1.26.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 16 Jul 2025 19:57:53 +0200
