## gst-plugins-base1.0 1.26.6

=== debian/changelog ===
gst-plugins-base1.0 (1.26.6-1) unstable; urgency=medium

  * New upstream version 1.26.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 15 Sep 2025 09:26:26 +0200
