## gst-plugins-base1.0 1.26.7

=== debian/changelog ===
gst-plugins-base1.0 (1.26.7-1) unstable; urgency=medium

  * New upstream version 1.26.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Oct 2025 09:35:29 +0200

gst-plugins-base1.0 (1.26.6-3) unstable; urgency=medium

  [ Simon McVittie ]
  * gir1.2-gst-plugins-base-1.0: Add ${gir:Provides}
  * libgstreamer-plugins-base1.0-dev: Add ${gir:Provides}
  * libgstreamer-plugins-base1.0-dev: Add ${gir:Depends}
  * Install GstAudio-1.0.gir into ${libdir}/gir-1.0 (Closes: #1023591)

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 30 Sep 2025 14:56:49 +0200

gst-plugins-base1.0 (1.26.6-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Add Build-Depends on systematic names for gir1.2-*-dev packages
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 30 Sep 2025 14:30:28 +0200
