=== debian/control ===
--- 
+++ 
@@ -8,6 +8,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dpkg-dev (>= 1.15.1),
+               gir1.2-gio-2.0-dev,
+               gir1.2-gmodule-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gst-1.0-dev,
+               gir1.2-gstbase-1.0-dev,
+               gobject-introspection (>= 1.80),
                pkgconf (>= 0.11.0),
                meson (>= 0.62),
                xvfb,
@@ -42,7 +48,6 @@
                libwayland-dev (>= 1.11) [linux-any],
                wayland-protocols (>= 1.15) [linux-any],
                iso-codes,
-               libgirepository1.0-dev (>= 0.9.12-4~),
                gir1.2-glib-2.0,
                gir1.2-freedesktop,
                gir1.2-gstreamer-1.0
@@ -96,8 +101,10 @@
 
 Package: libgstreamer-plugins-base1.0-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends},
+Depends: ${gir:Depends},
+         ${misc:Depends},
          ${shlibs:Depends},
          libgstreamer-plugins-base1.0-0 (= ${binary:Version}),
          libgstreamer-gl1.0-0 (= ${binary:Version}),
@@ -118,6 +125,7 @@
          gir1.2-gst-plugins-base-1.0 (= ${binary:Version})
 Breaks: libgstreamer-plugins-bad1.0-dev (<< 1.15.1)
 Conflicts: libgstreamer-plugins-bad1.0-dev (<< 1.15.1)
+Provides: ${gir:Provides}
 Description: GStreamer development files for libraries from the "base" set
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -258,6 +266,7 @@
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides}
 Description: GObject introspection data for the GStreamer Plugins Base library
  This package contains introspection data for the GStreamer Plugins Base
  library.
