## gst-plugins-base1.0 1.26.8

=== debian/changelog ===
gst-plugins-base1.0 (1.26.8-1) unstable; urgency=medium

  * d/control: bump meson version to match meson.build
  * New upstream version 1.26.8

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Nov 2025 10:17:49 +0100
