=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                gir1.2-gstbase-1.0-dev,
                gobject-introspection (>= 1.80),
                pkgconf (>= 0.11.0),
-               meson (>= 0.62),
+               meson (>= 1.4.0),
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),
