## gst-plugins-base1.0 1.26.10

=== debian/changelog ===
gst-plugins-base1.0 (1.26.10-1) unstable; urgency=medium

  * New upstream version 1.26.10

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 26 Dec 2025 17:27:32 +0100
