## gst-plugins-base1.0 1.27.2

=== debian/changelog ===
gst-plugins-base1.0 (1.27.2-3build1) resolute; urgency=medium

  * Rebuild against latest libtheora

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 02 Nov 2025 11:18:37 -0500

gst-plugins-base1.0 (1.27.2-3) experimental; urgency=medium

  [ Simon McVittie ]
  * d/control: Add Build-Depends on systematic names for gir1.2-*-dev packages
  * d/control: Replace libgirepository1.0-dev B-D with gobject-introspection

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Oct 2025 16:26:55 +0200

gst-plugins-base1.0 (1.27.2-2) experimental; urgency=medium

  [ Simon McVittie ]
  * gir1.2-gst-plugins-base-1.0: Add ${gir:Provides}
  * libgstreamer-plugins-base1.0-dev: Add ${gir:Provides}
  * libgstreamer-plugins-base1.0-dev: Add ${gir:Depends}
  * Install GstAudio-1.0.gir into ${libdir}/gir-1.0 (Closes: #1023591)

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 14 Oct 2025 16:24:35 +0200

gst-plugins-base1.0 (1.27.2-1) experimental; urgency=medium

  * d/control: API change, gst deps to 1.27.1
  * New upstream version 1.27.2
  * d/control: bump minimal version after new symbols in core
  * d/symbols: add new

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Sep 2025 10:43:26 +0200

gst-plugins-base1.0 (1.27.1-1) experimental; urgency=medium

  * Revert "d/watch: pin to 1.26.x"
  * d/gbp.conf: adjust for experimental
  * New upstream version 1.27.1
  * d/symbols: add new
  * d/patches: refresh

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 11 Aug 2025 16:47:49 +0200
