=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-plugins-base/ gst-plugins-base-(1\.[\d]+\.[\d]+)@ARCHIVE_EXT@
