## gst-plugins-base1.0 1.27.50

=== debian/changelog ===
gst-plugins-base1.0 (1.27.50-2) experimental; urgency=medium

  * d/patches: disable gstglcolorconvert

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Dec 2025 10:02:40 +0100

gst-plugins-base1.0 (1.27.50-1) experimental; urgency=medium

  * New upstream version 1.27.50
  * d/symbols: add new
  * d/control: update dependency to 1.27.50 (api change)

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 10 Dec 2025 13:13:43 +0100
