## gst-plugins-base1.0 1.27.90

=== debian/changelog ===
gst-plugins-base1.0 (1.27.90-1) experimental; urgency=medium

  * New upstream version 1.27.90
  * d/control: update dependencies to 1.27.90

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 06 Jan 2026 09:28:44 +0100
