## gst-plugins-base1.0 1.28.0

=== debian/changelog ===
gst-plugins-base1.0 (1.28.0-1) unstable; urgency=medium

  [ Marc Leeman ]
  * d/symbols: add new
  * d/patches: disable gstglcolorconvert
  * New upstream version 1.28.0
  * d/control: update dependencies to 1.28.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 28 Jan 2026 12:26:23 +0100
