=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
                gir1.2-gstbase-1.0-dev,
                gobject-introspection (>= 1.80),
                pkgconf (>= 0.11.0),
-               meson (>= 0.62),
+               meson (>= 1.4.0),
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.27.90),
+               libgstreamer1.0-dev (>= 1.28.0),
                liborc-0.4-dev (>= 1:0.4.24),
                zlib1g-dev (>= 1:1.1.4),
                libgl-dev,
@@ -161,7 +161,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.27.90)
+         libgstreamer-plugins-base1.0-0 (>= 1.28.0)
 Suggests: alsa-utils (>= 0.9.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
@@ -186,7 +186,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.27.90)
+         libgstreamer-plugins-base1.0-0 (>= 1.28.0)
 Breaks: gstreamer1.0-plugins-bad (<< 1.15.1)
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1)
 Suggests: gvfs
@@ -213,7 +213,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.27.90)
+         libgstreamer-plugins-base1.0-0 (>= 1.28.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
@@ -238,8 +238,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.27.90),
-         libgstreamer-gl1.0-0 (>= 1.27.90)
+         libgstreamer-plugins-base1.0-0 (>= 1.28.0),
+         libgstreamer-gl1.0-0 (>= 1.28.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
